
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was project-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Set
#  GeoTIFF_FOUND = 1
#  GeoTIFF_INCLUDE_DIRS = ${CMAKE_INSTALL_INCLUDEDIR}
#  GeoTIFF_LIBRARY_DIRS = ${CMAKE_INSTALL_LIBDIR}
#  GeoTIFF_BINARY_DIRS = ${CMAKE_INSTALL_BINDIR}
#  GeoTIFF_VERSION = 1.4.1 (for example)

# For compatibility with FindGeoTIFF.cmake, also set
# GEOTIFF_FOUND
# GEOTIFF_INCLUDE_DIR
# GEOTIFF_LIBRARY
# GEOTIFF_LIBRARIES

# Tell the user project where to find our headers and libraries
set (GeoTIFF_INCLUDE_DIRS ${PACKAGE_PREFIX_DIR}/include/libgeotiff)
set (GeoTIFF_LIBRARY_DIRS ${PACKAGE_PREFIX_DIR}/lib)
set (GeoTIFF_BINARY_DIRS ${PACKAGE_PREFIX_DIR}/bin)

include(CMakeFindDependencyMacro)
find_dependency(TIFF)

set (GeoTIFF_LIBRARIES geotiff_library)
if("ON")
  set (GeoTIFF_SHARED_LIBRARIES ${GeoTIFF_LIBRARIES})
else()
  set (GeoTIFF_STATIC_LIBRARIES ${GeoTIFF_LIBRARIES})
  find_dependency(PROJ)

endif()

if(NOT GeoTIFF_FIND_QUIETLY)
  message (STATUS "Reading ${CMAKE_CURRENT_LIST_FILE}")
  # GeoTIFF_VERSION is set by version file
  message (STATUS
    "GeoTIFF configuration, version ${GeoTIFF_VERSION}")
  message (STATUS "  include directory: \${GeoTIFF_INCLUDE_DIRS}")
  if("ON")
    message (STATUS "  \${GeoTIFF_LIBRARIES} set to shared library")
  else()
    message (STATUS "  \${GeoTIFF_LIBRARIES} set to static libraries")
  endif()
endif()

# Read in the exported definition of the library
include ("${CMAKE_CURRENT_LIST_DIR}/geotiffTargets.cmake")

# For compatibility with FindGeoTIFF.cmake
set (GEOTIFF_FOUND 1)
set (GEOTIFF_LIBRARIES ${GeoTIFF_LIBRARIES})
set (GEOTIFF_INCLUDE_DIR ${GeoTIFF_INCLUDE_DIRS})
set (GEOTIFF_LIBRARY ${GeoTIFF_LIBRARIES})
